# inspired from fedora spec file
# Copyright (c) 2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     ConsoleTools
%define composer_name   console-tools
%define composer_vendor zetacomponents
%define bootstrap       1

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.7.2
Release:        %mkrel 1
Summary:        Zeta Console Tools Component
Group:          Development/PHP
License:        ASL 2.0
URL:            http://zetacomponents.org/
Source0:        https://github.com/zetacomponents/ConsoleTools/archive/%{github_name}-%{version}.tar.gz

BuildArch:      noarch
%if ! %{bootstrap}
BuildRequires:  %{_bindir}/phpab
%endif

# From composer.json, "require": {
#            "zetacomponents/base": "~1.8"
Requires:       php-composer(zetacomponents/base) >= 1.8
# From phpcompatinfo report for 1.7
Requires:       php > 5.3
Requires:       php-iconv
Requires:       php-pcre

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
A set of classes to do different actions with the console, also called shell.
It can render a progress bar, tables and a status bar and contains a class for
parsing command line options.

%prep
%setup -qn %{github_name}-%{version}

%autopatch -p1

%build
%if ! %{bootstrap}
%{_bindir}/phpab \
   --output src/autoloader.php \
   src
cat <<EOF | tee -a  src/autoloader.php
# Dependencies
require_once '%{php_libdir}/ezc/Base/autoloader.php';
#EOF
%endif

%install
mkdir -p %{buildroot}%{php_libdir}/ezc/autoload

: The library
cp -pr src \
       %{buildroot}%{php_libdir}/ezc/%{github_name}
: For ezcBase autoloader
cp -pr src/*_autoload.php \
       %{buildroot}%{php_libdir}/ezc/autoload

%files
%doc LICENSE* CREDITS
%doc ChangeLog
%doc composer.json
%doc docs design
%{php_libdir}/ezc/autoload/*
%{php_libdir}/ezc/%{github_name}


%changelog
* Sun Nov 01 2020 guillomovitch <guillomovitch> 1.7.2-1.mga8
+ Revision: 1641131
- new version 1.7.2

* Wed Mar 18 2020 guillomovitch <guillomovitch> 1.7.1-1.mga8
+ Revision: 1557722
- new version 1.7.1

* Wed Feb 12 2020 umeabot <umeabot> 1.7-3.mga8
+ Revision: 1499247
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7-2.mga7
+ Revision: 1274182
- Mageia 7 Mass Rebuild

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.7-1.mga6
+ Revision: 1096674
- imported package php-zetacomponents-console-tools

